
(* Analyse smantique *)

open Ast


(* Erreurs de typage, localises, et fonction [report] pour les afficher *)

type error

exception Error of Location.t * error

val report : Format.formatter -> error -> unit


(* Fonction de typage d'une unit de compilation *)

val compilation_unit : compilation_unit -> string class_decl list


(* Vrification du point d'entre du programme *)

val check_entry_point : string * string -> unit


